infermax./ docs

BUILD WITH INFERMAX

Compute Access

Follow eligible offers through reservation, provisioning, observation, and verified release.

GET/v1/compute/offers#

List eligible offers; availability is not a hold

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
limit
query
Optional
{
  "maximum": 100,
  "default": 50,
  "type": "number"
}
after
query
Optional
{
  "type": "string"
}
search
query
Optional
{
  "type": "string"
}
region
query
Optional
{
  "type": "string"
}
availability
query
Optional
{
  "type": "string",
  "enum": [
    "AVAILABLE",
    "UNAVAILABLE"
  ]
}

Responses

200 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "required": [
    "items",
    "nextCursor"
  ],
  "properties": {
    "items": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "id",
          "pool_id"
        ],
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "pool_id": {
            "type": "string",
            "format": "uuid"
          },
          "name": {
            "type": "string"
          },
          "published": {
            "type": "boolean"
          },
          "price_per_unit_hour": {
            "type": "string",
            "nullable": true
          },
          "currency": {
            "type": "string"
          },
          "rate_status": {
            "type": "string",
            "enum": [
              "UNKNOWN",
              "FIXTURE",
              "ACCEPTED"
            ]
          },
          "rate_version": {
            "type": "string",
            "format": "uuid"
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          },
          "provider_id": {
            "type": "string",
            "format": "uuid"
          },
          "gpu_model": {
            "type": "string"
          },
          "region": {
            "type": "string"
          },
          "unit_gpus": {
            "type": "integer"
          },
          "execution_mode": {
            "type": "string"
          },
          "observed_at": {
            "type": "string",
            "format": "date-time"
          },
          "available_units": {
            "type": "string",
            "description": "Current availability in allocation units; reservation rechecks atomically."
          }
        }
      }
    },
    "nextCursor": {
      "type": "string",
      "format": "uuid",
      "nullable": true
    }
  }
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
GET/v1/compute/offers/{id}#

GET /v1/compute/offers/{id}

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
id
path
Required
{
  "type": "string"
}

Responses

200 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "required": [
    "id",
    "pool_id"
  ],
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "pool_id": {
      "type": "string",
      "format": "uuid"
    },
    "name": {
      "type": "string"
    },
    "published": {
      "type": "boolean"
    },
    "price_per_unit_hour": {
      "type": "string",
      "nullable": true
    },
    "currency": {
      "type": "string"
    },
    "rate_status": {
      "type": "string",
      "enum": [
        "UNKNOWN",
        "FIXTURE",
        "ACCEPTED"
      ]
    },
    "rate_version": {
      "type": "string",
      "format": "uuid"
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "provider_id": {
      "type": "string",
      "format": "uuid"
    },
    "gpu_model": {
      "type": "string"
    },
    "region": {
      "type": "string"
    },
    "unit_gpus": {
      "type": "integer"
    },
    "execution_mode": {
      "type": "string"
    },
    "observed_at": {
      "type": "string",
      "format": "date-time"
    },
    "available_units": {
      "type": "string",
      "description": "Current availability in allocation units; reservation rechecks atomically."
    }
  }
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
GET/v1/compute/limits#

GET /v1/compute/limits

Authorization: Bearer · project scope · management access required

Parameters

No additional parameters are declared.

Responses

200 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "gpu_quota": {
      "type": "integer"
    },
    "occupied_gpus": {
      "type": "string"
    }
  }
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
GET/v1/compute/offers/{id}/storage#

Read storage options for an offer

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
id
path
Required
{
  "type": "string"
}

Responses

200 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "required": [
    "id",
    "pool_id"
  ],
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "pool_id": {
      "type": "string",
      "format": "uuid"
    },
    "name": {
      "type": "string"
    },
    "published": {
      "type": "boolean"
    },
    "price_per_unit_hour": {
      "type": "string",
      "nullable": true
    },
    "currency": {
      "type": "string"
    },
    "rate_status": {
      "type": "string",
      "enum": [
        "UNKNOWN",
        "FIXTURE",
        "ACCEPTED"
      ]
    },
    "rate_version": {
      "type": "string",
      "format": "uuid"
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "provider_id": {
      "type": "string",
      "format": "uuid"
    },
    "gpu_model": {
      "type": "string"
    },
    "region": {
      "type": "string"
    },
    "unit_gpus": {
      "type": "integer"
    },
    "execution_mode": {
      "type": "string"
    },
    "observed_at": {
      "type": "string",
      "format": "date-time"
    },
    "available_units": {
      "type": "string",
      "description": "Current availability in allocation units; reservation rechecks atomically."
    }
  }
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
POST/v1/compute/quotes#

Quote a compute request

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
Idempotency-Key
header
Required
{
  "type": "string",
  "minLength": 1,
  "maxLength": 128
}

Request body · required

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ManagedQuoteInput"
}

Responses

201 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    }
  },
  "additionalProperties": true
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
GET/v1/compute/storage/profiles#

List eligible storage profiles

Authorization: Bearer · project scope · management access required

Parameters

No additional parameters are declared.

Responses

200 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "items": {
      "type": "array",
      "items": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "type": "string"
          },
          "version": {
            "type": "integer",
            "minimum": 1
          },
          "digest": {
            "type": "string"
          },
          "providerId": {
            "type": "string",
            "format": "uuid"
          },
          "executionMode": {
            "type": "string",
            "enum": [
              "SIMULATED",
              "REAL"
            ]
          },
          "controller": {
            "type": "string",
            "enum": [
              "FIXTURE",
              "DSTACK"
            ]
          },
          "regions": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "sizesGiB": {
            "type": "array",
            "items": {
              "type": "integer",
              "minimum": 1
            }
          },
          "supportedActions": {
            "type": "array",
            "items": {
              "type": "string",
              "enum": [
                "CREATE",
                "ATTACH",
                "DETACH",
                "RETAIN",
                "DELETE"
              ]
            }
          },
          "available": {
            "type": "boolean"
          },
          "reason": {
            "type": "string",
            "nullable": true
          }
        },
        "required": [
          "id",
          "version",
          "digest",
          "providerId",
          "executionMode",
          "controller",
          "regions",
          "sizesGiB",
          "supportedActions",
          "available",
          "reason"
        ]
      }
    }
  },
  "required": [
    "items"
  ]
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
POST/v1/compute/storage/quotes#

Quote storage

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
Idempotency-Key
header
Required
{
  "type": "string",
  "minLength": 1,
  "maxLength": 128
}

Request body · required

application/json

Schema · JSON
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "profileId": {
      "type": "string",
      "maxLength": 100
    },
    "profileVersion": {
      "type": "integer",
      "minimum": 1
    },
    "region": {
      "type": "string",
      "maxLength": 100
    },
    "sizeGiB": {
      "type": "integer",
      "minimum": 1,
      "maximum": 1048576
    },
    "liabilityEndAt": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "profileId",
    "profileVersion",
    "region",
    "sizeGiB",
    "liabilityEndAt"
  ]
}

Responses

201 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "project_id": {
      "type": "string",
      "format": "uuid"
    },
    "provider_id": {
      "type": "string",
      "format": "uuid"
    },
    "profile_digest": {
      "type": "string"
    },
    "execution_mode": {
      "type": "string",
      "enum": [
        "SIMULATED",
        "REAL"
      ]
    },
    "region": {
      "type": "string"
    },
    "size_gib": {
      "type": "integer",
      "minimum": 1
    },
    "currency": {
      "type": "string",
      "enum": [
        "USD"
      ]
    },
    "liability_micros": {
      "type": "string",
      "pattern": "^[0-9]+$",
      "nullable": true
    },
    "liability_end_at": {
      "type": "string",
      "format": "date-time"
    },
    "valid_until": {
      "type": "string",
      "format": "date-time"
    },
    "terms_digest": {
      "type": "string",
      "nullable": true
    },
    "source_ref": {
      "type": "string",
      "nullable": true
    },
    "created_by": {
      "type": "string",
      "format": "uuid"
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "project_id",
    "provider_id",
    "profile_digest",
    "execution_mode",
    "region",
    "size_gib",
    "currency",
    "liability_micros",
    "liability_end_at",
    "valid_until",
    "terms_digest",
    "source_ref",
    "created_by",
    "created_at"
  ]
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
POST/v1/compute/storage/volumes#

Create a storage volume

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
Idempotency-Key
header
Required
{
  "type": "string",
  "minLength": 1,
  "maxLength": 128
}

Request body · required

application/json

Schema · JSON
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "quoteId": {
      "type": "string",
      "format": "uuid"
    },
    "retainOnRelease": {
      "type": "boolean"
    }
  },
  "required": [
    "quoteId",
    "retainOnRelease"
  ]
}

Responses

201 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "project_id": {
      "type": "string",
      "format": "uuid"
    },
    "provider_id": {
      "type": "string",
      "format": "uuid"
    },
    "profile_digest": {
      "type": "string"
    },
    "execution_mode": {
      "type": "string",
      "enum": [
        "SIMULATED",
        "REAL"
      ]
    },
    "region": {
      "type": "string"
    },
    "size_gib": {
      "type": "integer",
      "minimum": 1
    },
    "quote_id": {
      "type": "string",
      "format": "uuid"
    },
    "controller": {
      "type": "string",
      "enum": [
        "DSTACK",
        "FIXTURE"
      ]
    },
    "retain_on_release": {
      "type": "boolean"
    },
    "state": {
      "type": "string",
      "enum": [
        "REQUESTED",
        "CREATING",
        "AVAILABLE",
        "ATTACHING",
        "ATTACHED",
        "DETACHING",
        "RETAINED",
        "DELETING",
        "ABSENT",
        "UNKNOWN",
        "FAILED"
      ]
    },
    "liability_status": {
      "type": "string",
      "enum": [
        "UNKNOWN",
        "RETAINED",
        "RELEASED"
      ]
    },
    "version": {
      "type": "integer",
      "minimum": 0
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "updated_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "project_id",
    "provider_id",
    "profile_digest",
    "execution_mode",
    "region",
    "size_gib",
    "quote_id",
    "controller",
    "retain_on_release",
    "state",
    "liability_status",
    "version",
    "created_at",
    "updated_at"
  ]
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
GET/v1/compute/storage/volumes#

List project storage volumes

Authorization: Bearer · project scope · management access required

Parameters

No additional parameters are declared.

Responses

200 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "items": {
      "type": "array",
      "maxItems": 100,
      "items": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "project_id": {
            "type": "string",
            "format": "uuid"
          },
          "provider_id": {
            "type": "string",
            "format": "uuid"
          },
          "profile_digest": {
            "type": "string"
          },
          "execution_mode": {
            "type": "string",
            "enum": [
              "SIMULATED",
              "REAL"
            ]
          },
          "region": {
            "type": "string"
          },
          "size_gib": {
            "type": "integer",
            "minimum": 1
          },
          "retain_on_release": {
            "type": "boolean"
          },
          "state": {
            "type": "string",
            "enum": [
              "REQUESTED",
              "CREATING",
              "AVAILABLE",
              "ATTACHING",
              "ATTACHED",
              "DETACHING",
              "RETAINED",
              "DELETING",
              "ABSENT",
              "UNKNOWN",
              "FAILED"
            ]
          },
          "liability_status": {
            "type": "string",
            "enum": [
              "UNKNOWN",
              "RETAINED",
              "RELEASED"
            ]
          },
          "version": {
            "type": "integer",
            "minimum": 0
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time"
          },
          "cleanup_requested": {
            "type": "boolean"
          },
          "currency": {
            "type": "string",
            "enum": [
              "USD"
            ]
          },
          "liability_micros": {
            "type": "string",
            "pattern": "^[0-9]+$",
            "nullable": true
          },
          "liability_end_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "id",
          "project_id",
          "provider_id",
          "profile_digest",
          "execution_mode",
          "region",
          "size_gib",
          "retain_on_release",
          "state",
          "liability_status",
          "version",
          "created_at",
          "updated_at",
          "cleanup_requested",
          "currency",
          "liability_micros",
          "liability_end_at"
        ]
      }
    },
    "truncated": {
      "type": "boolean"
    }
  },
  "required": [
    "items",
    "truncated"
  ]
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
GET/v1/compute/storage/volumes/{id}#

Read a storage volume

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
id
path
Required
{
  "type": "string"
}

Responses

200 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "project_id": {
      "type": "string",
      "format": "uuid"
    },
    "provider_id": {
      "type": "string",
      "format": "uuid"
    },
    "profile_digest": {
      "type": "string"
    },
    "execution_mode": {
      "type": "string",
      "enum": [
        "SIMULATED",
        "REAL"
      ]
    },
    "region": {
      "type": "string"
    },
    "size_gib": {
      "type": "integer",
      "minimum": 1
    },
    "retain_on_release": {
      "type": "boolean"
    },
    "state": {
      "type": "string",
      "enum": [
        "REQUESTED",
        "CREATING",
        "AVAILABLE",
        "ATTACHING",
        "ATTACHED",
        "DETACHING",
        "RETAINED",
        "DELETING",
        "ABSENT",
        "UNKNOWN",
        "FAILED"
      ]
    },
    "liability_status": {
      "type": "string",
      "enum": [
        "UNKNOWN",
        "RETAINED",
        "RELEASED"
      ]
    },
    "version": {
      "type": "integer",
      "minimum": 0
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "updated_at": {
      "type": "string",
      "format": "date-time"
    },
    "cleanup_requested": {
      "type": "boolean"
    },
    "currency": {
      "type": "string",
      "enum": [
        "USD"
      ]
    },
    "liability_micros": {
      "type": "string",
      "pattern": "^[0-9]+$",
      "nullable": true
    },
    "liability_end_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "project_id",
    "provider_id",
    "profile_digest",
    "execution_mode",
    "region",
    "size_gib",
    "retain_on_release",
    "state",
    "liability_status",
    "version",
    "created_at",
    "updated_at",
    "cleanup_requested",
    "currency",
    "liability_micros",
    "liability_end_at"
  ]
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
POST/v1/compute/storage/volumes/{id}/commands#

Request a storage lifecycle command

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
id
path
Required
{
  "type": "string"
}
Idempotency-Key
header
Required
{
  "type": "string",
  "minLength": 1,
  "maxLength": 128
}

Request body · required

application/json

Schema · JSON
{
  "oneOf": [
    {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "action": {
          "type": "string",
          "enum": [
            "ATTACH",
            "DETACH"
          ]
        },
        "instanceId": {
          "type": "string",
          "format": "uuid"
        },
        "expectedVersion": {
          "type": "integer",
          "minimum": 0
        }
      },
      "required": [
        "action",
        "instanceId",
        "expectedVersion"
      ]
    },
    {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "action": {
          "type": "string",
          "enum": [
            "RETAIN",
            "DELETE"
          ]
        },
        "expectedVersion": {
          "type": "integer",
          "minimum": 0
        }
      },
      "required": [
        "action",
        "expectedVersion"
      ]
    }
  ]
}

Responses

201 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "project_id": {
      "type": "string",
      "format": "uuid"
    },
    "provider_id": {
      "type": "string",
      "format": "uuid"
    },
    "profile_digest": {
      "type": "string"
    },
    "execution_mode": {
      "type": "string",
      "enum": [
        "SIMULATED",
        "REAL"
      ]
    },
    "region": {
      "type": "string"
    },
    "size_gib": {
      "type": "integer",
      "minimum": 1
    },
    "quote_id": {
      "type": "string",
      "format": "uuid"
    },
    "controller": {
      "type": "string",
      "enum": [
        "DSTACK",
        "FIXTURE"
      ]
    },
    "retain_on_release": {
      "type": "boolean"
    },
    "state": {
      "type": "string",
      "enum": [
        "REQUESTED",
        "CREATING",
        "AVAILABLE",
        "ATTACHING",
        "ATTACHED",
        "DETACHING",
        "RETAINED",
        "DELETING",
        "ABSENT",
        "UNKNOWN",
        "FAILED"
      ]
    },
    "liability_status": {
      "type": "string",
      "enum": [
        "UNKNOWN",
        "RETAINED",
        "RELEASED"
      ]
    },
    "version": {
      "type": "integer",
      "minimum": 0
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "updated_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "project_id",
    "provider_id",
    "profile_digest",
    "execution_mode",
    "region",
    "size_gib",
    "quote_id",
    "controller",
    "retain_on_release",
    "state",
    "liability_status",
    "version",
    "created_at",
    "updated_at"
  ]
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
GET/v1/compute/budget#

Read project compute budget

Authorization: Bearer · project scope · management access required

Parameters

No additional parameters are declared.

Responses

200 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    }
  },
  "additionalProperties": true
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
GET/v1/compute/waitlist#

List availability alerts

Authorization: Bearer · project scope · management access required

Parameters

No additional parameters are declared.

Responses

200 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "items": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "intent_id": {
            "type": "string",
            "format": "uuid"
          },
          "state": {
            "type": "string"
          },
          "email_opt_in": {
            "type": "boolean"
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          },
          "spec": {
            "type": "object"
          }
        },
        "required": [
          "id",
          "intent_id",
          "state",
          "email_opt_in",
          "created_at",
          "spec"
        ],
        "additionalProperties": false
      }
    }
  },
  "required": [
    "items"
  ],
  "additionalProperties": false
}
400 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
401 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
403 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
404 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
409 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
413 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
422 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
429 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
500 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
503 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
POST/v1/compute/waitlist#

Create an availability alert

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
Idempotency-Key
header
Required
{
  "type": "string",
  "minLength": 1,
  "maxLength": 128
}

Request body · required

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/WaitlistInput"
}

Responses

201 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "state": {
      "type": "string"
    },
    "email_opt_in": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "state",
    "email_opt_in"
  ],
  "additionalProperties": false
}
400 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
401 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
403 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
404 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
409 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
413 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
422 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
429 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
500 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
503 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
GET/v1/compute/waitlist/{id}#

Read an availability alert

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
id
path
Required
{
  "type": "string"
}

Responses

200 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "intent_id": {
      "type": "string",
      "format": "uuid"
    },
    "state": {
      "type": "string"
    },
    "email_opt_in": {
      "type": "boolean"
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "spec": {
      "type": "object"
    }
  },
  "required": [
    "id",
    "intent_id",
    "state",
    "email_opt_in",
    "created_at",
    "spec"
  ],
  "additionalProperties": false
}
400 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
401 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
403 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
404 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
409 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
413 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
422 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
429 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
500 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
503 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
POST/v1/compute/waitlist/{id}/cancel#

Cancel an availability alert

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
id
path
Required
{
  "type": "string"
}
Idempotency-Key
header
Required
{
  "type": "string",
  "minLength": 1,
  "maxLength": 128
}

Responses

201 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "state": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "state"
  ],
  "additionalProperties": false
}
400 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
401 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
403 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
404 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
409 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
413 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
422 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
429 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
500 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
503 Fail-closed request or dependency error.

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ProductManagementErrorEnvelope"
}
POST/v1/compute/reservations#

Hold whole allocation units for five minutes

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
Idempotency-Key
header
Required
{
  "type": "string",
  "minLength": 1,
  "maxLength": 128
}

Request body · required

application/json

Schema · JSON
{
  "$ref": "#/components/schemas/ReservationInput"
}

Responses

201 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "required": [
    "id",
    "state",
    "expires_at"
  ],
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "project_id": {
      "type": "string",
      "format": "uuid"
    },
    "pool_id": {
      "type": "string",
      "format": "uuid"
    },
    "offer_id": {
      "type": "string",
      "format": "uuid"
    },
    "units": {
      "type": "integer"
    },
    "unit_gpus": {
      "type": "integer"
    },
    "state": {
      "type": "string",
      "enum": [
        "HELD",
        "CONSUMED",
        "CANCELLED",
        "EXPIRED"
      ]
    },
    "expires_at": {
      "type": "string",
      "format": "date-time"
    },
    "requested_end_at": {
      "type": "string",
      "format": "date-time"
    },
    "price_snapshot": {
      "type": "object",
      "properties": {
        "amount": {
          "type": "string",
          "nullable": true
        },
        "currency": {
          "type": "string"
        },
        "unit": {
          "type": "string"
        },
        "status": {
          "type": "string"
        },
        "version": {
          "type": "string",
          "format": "uuid"
        }
      }
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    }
  }
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
GET/v1/compute/reservations#

GET /v1/compute/reservations

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
limit
query
Optional
{
  "maximum": 100,
  "default": 50,
  "type": "number"
}
after
query
Optional
{
  "type": "string"
}

Responses

200 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "required": [
    "items",
    "nextCursor"
  ],
  "properties": {
    "items": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "id",
          "state",
          "expires_at"
        ],
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "project_id": {
            "type": "string",
            "format": "uuid"
          },
          "pool_id": {
            "type": "string",
            "format": "uuid"
          },
          "offer_id": {
            "type": "string",
            "format": "uuid"
          },
          "units": {
            "type": "integer"
          },
          "unit_gpus": {
            "type": "integer"
          },
          "state": {
            "type": "string",
            "enum": [
              "HELD",
              "CONSUMED",
              "CANCELLED",
              "EXPIRED"
            ]
          },
          "expires_at": {
            "type": "string",
            "format": "date-time"
          },
          "requested_end_at": {
            "type": "string",
            "format": "date-time"
          },
          "price_snapshot": {
            "type": "object",
            "properties": {
              "amount": {
                "type": "string",
                "nullable": true
              },
              "currency": {
                "type": "string"
              },
              "unit": {
                "type": "string"
              },
              "status": {
                "type": "string"
              },
              "version": {
                "type": "string",
                "format": "uuid"
              }
            }
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          }
        }
      }
    },
    "nextCursor": {
      "type": "string",
      "format": "uuid",
      "nullable": true
    }
  }
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
404 Resource absent or not visible

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
409 Idempotency, capacity, quota or state conflict

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
413 Request body exceeds 64 KiB

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
422 Invalid reference

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
429 Rate limit; honor Retry-After

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
503 Dependency unavailable

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
GET/v1/compute/reservations/{id}#

GET /v1/compute/reservations/{id}

Authorization: Bearer · project scope · management access required

Parameters

Request parameters
Name / locationRequirementDefinition
id
path
Required
{
  "type": "string"
}

Responses

200 Successful operation.

application/json

Schema · JSON
{
  "type": "object",
  "required": [
    "id",
    "state",
    "expires_at"
  ],
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "project_id": {
      "type": "string",
      "format": "uuid"
    },
    "pool_id": {
      "type": "string",
      "format": "uuid"
    },
    "offer_id": {
      "type": "string",
      "format": "uuid"
    },
    "units": {
      "type": "integer"
    },
    "unit_gpus": {
      "type": "integer"
    },
    "state": {
      "type": "string",
      "enum": [
        "HELD",
        "CONSUMED",
        "CANCELLED",
        "EXPIRED"
      ]
    },
    "expires_at": {
      "type": "string",
      "format": "date-time"
    },
    "requested_end_at": {
      "type": "string",
      "format": "date-time"
    },
    "price_snapshot": {
      "type": "object",
      "properties": {
        "amount": {
          "type": "string",
          "nullable": true
        },
        "currency": {
          "type": "string"
        },
        "unit": {
          "type": "string"
        },
        "status": {
          "type": "string"
        },
        "version": {
          "type": "string",
          "format": "uuid"
        }
      }
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    }
  }
}
400 Invalid request

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
401 Missing or revoked API key

application/json

Schema · JSON
{
  "type": "object",
  "properties": {
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "requestId": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}
403 Role or policy denied

application/json

Schema · JSON
{
[...]
